### Hierarchy

- OwnPropsOfControl
  - OwnPropsOfAutoComplete

## Index

### Properties

- cells
- enabled
- id
- options
- path
- renderers
- schema
- uischema
- uischemas
- visible

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from OwnPropsOfAutoComplete.cells

- Defined in packages/core/lib/util/renderer.d.ts:77

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfAutoComplete.enabled

- Defined in packages/core/lib/util/renderer.d.ts:65

Whether the rendered element should be enabled.

### Optional id

id: string

Inherited from OwnPropsOfAutoComplete.id

- Defined in packages/core/lib/util/renderer.d.ts:81

### options

options: string[]

- Defined in packages/angular-material/src/controls/autocomplete.renderer.ts:150

### Optional path

path: string

Inherited from OwnPropsOfAutoComplete.path

- Defined in packages/core/lib/util/renderer.d.ts:75

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfAutoComplete.renderers

- Defined in packages/core/lib/util/renderer.d.ts:76

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfAutoComplete.schema

- Defined in packages/core/lib/util/renderer.d.ts:61

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnPropsOfAutoComplete.uischema

Overrides OwnPropsOfRenderer.uischema

- Defined in packages/core/lib/util/renderer.d.ts:82

### Optional uischemas

uischemas: JsonFormsUISchemaRegistryEntry[]

Inherited from OwnPropsOfAutoComplete.uischemas

- Defined in packages/core/lib/util/renderer.d.ts:78

### Optional visible

visible: boolean

Inherited from OwnPropsOfAutoComplete.visible

- Defined in packages/core/lib/util/renderer.d.ts:69

Whether the rendered element should be visible.

Generated using TypeDoc